Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005BasicBehaviorCalcWlanBearing Class Reference

`#include <GT2005SimpleBasicBehaviors.h>`

Inheritance diagram for GT2005BasicBehaviorCalcWlanBearing:

[legend]
Collaboration diagram for GT2005BasicBehaviorCalcWlanBearing:

[legend]
List of all members.

## Public Member Functions
| GT2005BasicBehaviorCalcWlanBearing (BehaviorControlInterfaces &interfaces, Xabsl2ErrorHandler &errorHandler)
virtual void | init ()
| Initialization.
virtual void | execute ()
| Executes the basic behavior.
virtual void | Filter ()
## Private Attributes
unsigned int | numMeasure
unsigned long | startTime
double | state
unsigned int | frames
WLanInfo | wlanInfo [WLANINFO]
WLanInfo | filteredInfo [FILTEREDINFO]
bool | initExecuted
bool | filterExecuted
OdometryData | lastOdometry
double | rotationAngle

## Constructor & Destructor Documentation

GT2005BasicBehaviorCalcWlanBearing::GT2005BasicBehaviorCalcWlanBearing | ( | BehaviorControlInterfaces & | interfaces,
|  | Xabsl2ErrorHandler & | errorHandler
| ) | `[inline]`

| Definition at line 923 of file GT2005SimpleBasicBehaviors.h. References filterExecuted, initExecuted, numMeasure, and Xabsl2BasicBehavior::registerParameter().

Here is the call graph for this function:

## Member Function Documentation

void GT2005BasicBehaviorCalcWlanBearing::init | ( |  | ) | `[virtual]`

| Initialization. Definition at line 1170 of file GT2005SimpleBasicBehaviors.cpp. References endl(), filterExecuted, frames, SystemCall::getCurrentSystemTime(), idText, initExecuted, WLanInfo::link, WLanInfo::measures, WLanInfo::noise, OUTPUT, rotationAngle, WLanInfo::signal, slamPercept, wlanInfo, and WLANINFO. Referenced by execute().

Here is the call graph for this function:

void GT2005BasicBehaviorCalcWlanBearing::execute | ( |  | ) | `[virtual]`

| Executes the basic behavior. Implements Xabsl2BasicBehavior. Definition at line 1199 of file GT2005SimpleBasicBehaviors.cpp. References Filter(), filterExecuted, frames, fromDegrees(), HeadControlMode::headControlMode, init(), initExecuted, WLanInfo::link, HeadControlMode::lookStraightAhead, WLanInfo::measures, MotionRequest::motionType, WLanInfo::noise, pi2, Pose2D::rotation, rotationAngle, WLanInfo::signal, slamPercept, MotionRequest::stand, Pose2D::translation, MotionRequest::walk, WalkRequest::walkParams, MotionRequest::walkRequest, wlanInfo, WLANINFO, Vector2< double >::x, and Vector2< double >::y.

Here is the call graph for this function:

void GT2005BasicBehaviorCalcWlanBearing::Filter | ( |  | ) | `[virtual]`

| Definition at line 1288 of file GT2005SimpleBasicBehaviors.cpp. References LEDRequest::backFrontBlueLED, LEDRequest::backRearRedLED, WLanInfo::dSignal, endl(), FILTEREDINFO, filteredInfo, filterExecuted, idText, initExecuted, WLanInfo::link, WLanInfo::measures, WLanInfo::noise, numMeasure, OUTPUT, WLanInfo::signal, slamPercept, wlanInfo, and WLANINFO. Referenced by execute().

Here is the call graph for this function:

## Member Data Documentation

unsigned int GT2005BasicBehaviorCalcWlanBearing::numMeasure`[private]`

| Definition at line 948 of file GT2005SimpleBasicBehaviors.h. Referenced by Filter(), and GT2005BasicBehaviorCalcWlanBearing().

unsigned long GT2005BasicBehaviorCalcWlanBearing::startTime`[private]`

| Definition at line 949 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorCalcWlanBearing::state`[private]`

| Definition at line 951 of file GT2005SimpleBasicBehaviors.h.

unsigned int GT2005BasicBehaviorCalcWlanBearing::frames`[private]`

| Definition at line 953 of file GT2005SimpleBasicBehaviors.h. Referenced by execute(), and init().

WLanInfo GT2005BasicBehaviorCalcWlanBearing::wlanInfo[WLANINFO]`[private]`

| Definition at line 954 of file GT2005SimpleBasicBehaviors.h. Referenced by execute(), Filter(), and init().

WLanInfo GT2005BasicBehaviorCalcWlanBearing::filteredInfo[FILTEREDINFO]`[private]`

| Definition at line 956 of file GT2005SimpleBasicBehaviors.h. Referenced by Filter().

bool GT2005BasicBehaviorCalcWlanBearing::initExecuted`[private]`

| Definition at line 958 of file GT2005SimpleBasicBehaviors.h. Referenced by execute(), Filter(), GT2005BasicBehaviorCalcWlanBearing(), and init().

bool GT2005BasicBehaviorCalcWlanBearing::filterExecuted`[private]`

| Definition at line 959 of file GT2005SimpleBasicBehaviors.h. Referenced by execute(), Filter(), GT2005BasicBehaviorCalcWlanBearing(), and init().

OdometryData GT2005BasicBehaviorCalcWlanBearing::lastOdometry`[private]`

| Definition at line 961 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorCalcWlanBearing::rotationAngle`[private]`

| Definition at line 963 of file GT2005SimpleBasicBehaviors.h. Referenced by execute(), and init().

The documentation for this class was generated from the following files:

- Modules/BehaviorControl/GT2005BehaviorControl/GT2005BasicBehaviors/GT2005SimpleBasicBehaviors.h
- Modules/BehaviorControl/GT2005BehaviorControl/GT2005BasicBehaviors/GT2005SimpleBasicBehaviors.cpp